%global momorel 6

Name:           perl-CGI-Session
Version:        4.42
Release:        %{momorel}m%{?dist}
Summary:        Persistent session data in CGI applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Session/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKSTOS/CGI-Session-%{version}.tar.gz
NoSource:	0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl-CGI-Simple
BuildRequires:	perl-FreezeThaw 
BuildRequires:	perl-ExtUtils-MakeMaker
BuildRequires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
CGI-Session is a Perl5 library that provides an easy, reliable and modular
session management system across HTTP requests. Persistency is a key
feature for such applications as shopping carts, login/authentication
routines, and application that need to carry data across HTTP requests.
CGI::Session does that and many more.

%prep
%setup -q -n CGI-Session-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
chmod 644 examples/*

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

#%%check
#make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes examples README
%{perl_vendorlib}/CGI/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.42-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.42-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.42-4m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (4.42-3m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.42-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Aug 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.42-1m)
- update to 4.42

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.41-2m)
- rebuild against perl-5.10.1

* Sat Mar 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.41-1m)
- update to 4.41

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.40-2m)
- rebuild against rpm-4.6

* Wed Jan  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.40-1m)
- update to 4.40

* Thu Dec 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.39-1m)
- update to 4.39

* Sat Nov  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.38-1m)
- update to 4.38

* Sun Oct 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.37-1m)
- update to 4.37

* Sun Sep 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.36-1m)
- update to 4.36

* Wed Jul 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.35-1m)
- update to 4.35

* Mon Jul 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.34-1m)
- update to 4.34
- use NoSource
- change BuildRequries from perl module name to package name

* Fri Jul 11 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.20-1m)
- import from Fedora to Momonga for ikiwiki -> perl-CGI-FormBuilder

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.20-4
- rebuild for new perl

* Sun Jan 27 2008 Andreas Thienemann <andreas@bawue.net> 4.20-3
- Added Test::More to the BuildReqs

* Sat Mar 17 2007 Andreas Thienemann <andreas@bawue.net> 4.20-2
- Fixed perl-devel req

* Sat Mar 10 2007 Andreas Thienemann <andreas@bawue.net> 4.20-1
- Cleaned up for FE
- Specfile autogenerated by cpanspec 1.69.1.
